package ru.amse.kiselev.exec;


import ru.amse.kiselev.fsmeditor.automaton.Alphabet;
import ru.amse.kiselev.fsmeditor.automaton.AutomatonFactory;
import ru.amse.kiselev.fsmeditor.graphics.AutomatonComponent;
import ru.amse.kiselev.fsmeditor.graphics.Drawer;
import ru.amse.kiselev.fsmeditor.graphics.representation.GraphicalRepresentation;
import ru.amse.kiselev.fsmeditor.graphics.representation.IGraphicalRepresentation;



public class Main {
	public static void main(String[] args) {
		AutomatonFactory<Alphabet> af = new AutomatonFactory<Alphabet>(Alphabet.INSTANCE);
		TestDrawer workspace = new TestDrawer(af);
		IGraphicalRepresentation<Alphabet> grp = new GraphicalRepresentation<Alphabet>(workspace.getInterpreter().getAutomaton());
		AutomatonComponent<Alphabet> ac = new AutomatonComponent<Alphabet>(grp, workspace.getInterpreter(), Alphabet.INSTANCE);
		Drawer<Alphabet> dr = new Drawer<Alphabet>(workspace.getInterpreter(), af, ac);
		dr.show();			
	}	
}
